# C++ keywords: char

From cppreference.com
< cpp‎ | keyword
C++

Language
Standard Library Headers
Freestanding and hosted implementations
Named requirements
Language support library
Concepts library (C++20)
Diagnostics library
Utilities library
Strings library
Containers library
Iterators library
Ranges library (C++20)
Algorithms library
Numerics library
Input/output library
Localizations library
Regular expressions library (C++11)
Atomic operations library (C++11)
Thread support library (C++11)
Filesystem library (C++17)
Technical Specifications

C++ language

General topics

Preprocessor
Comments

Keywords
Escape sequences

Flow control
Conditional execution statements

`if`

`switch`

Iteration statements (loops)

`for`
range-`for` (C++11)

`while`
`do-while`

Jump statements

`continue` - `break`

`goto` - `return`

Functions
Function declaration
Lambda function declaration
`inline` specifier
Exception specifications (until C++20)
`noexcept` specifier (C++11)
Exceptions

`throw`-expression

`try`-`catch` block

Namespaces

Namespace declaration

Namespace aliases

Types

Fundamental types
Enumeration types
Function types

Compound types
Union types

Specifiers

`decltype` (C++11)
`auto` (C++11)
`alignas` (C++11)

`const`/`volatile`
`constexpr` (C++11)

Storage duration specifiers
Initialization

Default initialization
Value initialization
Zero initialization
Copy initialization
Direct initialization

Aggregate initialization
List initialization (C++11)
Constant initialization
Reference initialization

Expressions

Value categories
Order of evaluation

Operators
Operator precedence

Alternative representations
Literals
Boolean - Integer - Floating-point
Character - String - `nullptr` (C++11)
User-defined (C++11)
Utilities
Attributes (C++11)
Types
`typedef` declaration
Type alias declaration (C++11)
Casts
Implicit conversions - Explicit conversions
`static_cast` - `dynamic_cast`
`const_cast` - `reinterpret_cast`
Memory allocation

`new` expression

`delete` expression

Classes

Class declaration
Initializer lists
`this` pointer

Access specifiers
`friend` specifier

Class-specific function properties

Virtual function
override specifier (C++11)
final specifier (C++11)

`explicit` (C++11)
`static`

Special member functions

Default constructor
Copy constructor
Move constructor (C++11)

Copy assignment
Move assignment (C++11)
Destructor

Templates

Class template
Function template

Template specialization
Parameter packs (C++11)

Miscellaneous

Inline assembly

History of C++

C++ keywords

alignas (C++11)
alignof (C++11)
and
and_eq
asm
auto
bitand
bitor
bool
break
case
catch
char
char8_t (C++20)
char16_t (C++11)
char32_t (C++11)
class
compl
concept (C++20)
const
consteval (C++20)
constexpr (C++11)
const_cast
continue
co_await (C++20)
co_return (C++20)
co_yield (C++20)
decltype (C++11)
default
delete
do

double
dynamic_cast
else
enum
explicit
export
extern
false
float
for
friend
goto
if
inline
int
long
mutable
namespace
new
noexcept (C++11)
not
not_eq
nullptr (C++11)
operator
or
or_eq
private
protected
public
register

reinterpret_cast
requires (C++20)
return
short
signed
sizeof
static
static_assert (C++11)
static_cast
struct
switch
template
this
thread_local (C++11)
throw
true
try
typedef
typeid
typename
union
unsigned
using
virtual
void
volatile
wchar_t
while
xor
xor_eq

Identifiers with special meaning

audit (C++20)
axiom (C++20)

final (C++11)
override (C++11)

import (C++20)
module (C++20)

### Usage

- `char` type: as the declaration of the type

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/char&oldid=109105"